#version 150

in vec4 vertexColor;
flat in vec4 position;

uniform vec4 ColorModulator;
uniform vec2 ScreenSize;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) discard;
    vec2 coords = gl_FragCoord.xy / ScreenSize;
    bool pos = coords.y > 0.2 && coords.y < 0.8 && coords.x > 0.6;
    if (position.z == 0 && color.a < 0.6 && color.r == color.g && color.g == color.b && pos) discard;
    fragColor = color * ColorModulator;
}